Page MenuHomeFreeBSD

sysutils/py-crontab: Rename to python-crontab, Update to 2.4.0
ClosedPublic

Authored by loader on Mar 5 2020, 6:45 AM.

Details

Reviewers
koobs
skreuzer
Summary

Proposed commit log message:

sysutils/py-crontab: Rename to python-crontab, Update to 2.4.0

- Rename the port to match the canonical/registered (PyPI/CHEESESHOP) name
- Switch from CHEESESHOP to GitLab for complete tests data
- Update the project website URL in pkg-descr
- Add LICENSE_FILE
- Add sysutils/py-cron-descriptor to RUN_DEPENDS
- Add test target

Reviewed_by: koobs
Approved by: koobs (ports, mentor), portmgr (maintainer timeout: > 2 weeks)
Differential_Revision: D23968
Test Plan
  • portlint: OK (looks fine.)
  • testport: OK (poudriere: 1300077, [amd64, i386, armv7, aarch64], 'BUILD_ALL_PYTHON_FLAVORS=1', [py27, py35, py36, py37, py38] tested)
  • unittest: OK (

Python2.7 on armv7: Ran 167 tests in 5.670s OK
Python3.5 on armv7: Ran 167 tests in 7.932s OK
Python3.6 on armv7: Ran 167 tests in 7.875s OK
Python3.7 on armv7: Ran 167 tests in 8.801s OK
Python3.8 on armv7: Ran 167 tests in 7.285s OK
)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 29913
Build 27732: arc lint + arc unit

Event Timeline

loader created this revision.Mar 5 2020, 6:45 AM
loader edited the summary of this revision. (Show Details)Mar 5 2020, 6:47 AM
loader edited the test plan for this revision. (Show Details)
loader edited the test plan for this revision. (Show Details)Mar 5 2020, 6:53 AM
loader edited the summary of this revision. (Show Details)Mar 6 2020, 4:40 AM
koobs accepted this revision.Mar 9 2020, 2:29 AM

You can try to use USE_LOCAL=<locale> or TEST_ENV+=LANG=whatever to set a more appropriate locale (the one that tests 'rely' on)

If that doesn't work you can commit and report it upstream to get them to fix the implicit locale requirement for a long term fix, excluding the failing test from the test run in the meantime (if you can)

This revision is now accepted and ready to land.Mar 9 2020, 2:29 AM
loader updated this revision to Diff 69419.Mar 12 2020, 11:24 AM

Set locale to UTF-8

This revision now requires review to proceed.Mar 12 2020, 11:24 AM
loader edited the test plan for this revision. (Show Details)Mar 12 2020, 11:26 AM

You can try to use USE_LOCAL=<locale> or TEST_ENV+=LANG=whatever to set a more appropriate locale (the one that tests 'rely' on)

Thanks @koobs. I have updated it with TEST_ENV.

koobs accepted this revision.Mar 12 2020, 12:07 PM

Nice!

This revision is now accepted and ready to land.Mar 12 2020, 12:07 PM
loader updated this revision to Diff 69446.Mar 13 2020, 3:45 AM
loader edited the test plan for this revision. (Show Details)

Remove unused DISTVERSIONPREFIX

This revision now requires review to proceed.Mar 13 2020, 3:45 AM
koobs requested changes to this revision.Mar 13 2020, 3:48 AM
koobs added inline comments.
sysutils/py-crontab/Makefile
0

I missed this in the initial review, apologies.

The canonical/registered (PyPI/CHEESESHOP) name for this package is python-crontab [1] and the port should be moved/renamed accordingly

[1] https://pypi.org/project/python-crontab/

This revision now requires changes to proceed.Mar 13 2020, 3:48 AM
loader updated this revision to Diff 69448.Mar 13 2020, 7:41 AM

Rename port to sysutils/py-python-crontab

loader edited the summary of this revision. (Show Details)Mar 13 2020, 7:44 AM
koobs accepted this revision.EditedMar 13 2020, 7:48 AM
koobs retitled this revision from sysutils/py-crontab: Update to 2.4.0 to sysutils/py-crontab: Rename to python-crontab, Update to 2.4.0.
koobs edited the summary of this revision. (Show Details)

Approved if MOVEDlint.awk passes and after removing GL_PROJECT=python-crontab (assuming GL_PROJECT defaults to PORTNAME like GH does)

sysutils/py-python-crontab/Makefile
25

This should be able to be dropped post-rename

This revision is now accepted and ready to land.Mar 13 2020, 7:49 AM
loader updated this revision to Diff 69450.Mar 13 2020, 8:11 AM

Remove GL_PROJECT

This revision now requires review to proceed.Mar 13 2020, 8:11 AM
koobs accepted this revision.Mar 13 2020, 8:14 AM
This revision is now accepted and ready to land.Mar 13 2020, 8:14 AM
loader edited the summary of this revision. (Show Details)Mar 29 2020, 2:39 AM